Subject: Re: [PATCH v3 2/2] gnu: Add riscv-pk.

From: Arun Isaac <[email-masked]>
Date: Fri, 01 Apr 2022 12:02:54 +0530

> Thanks for the patches. Does it make sense to wrap spike with
> riscv-pk?
>
> I'm not sure how much spike is used without pk.

I see and feel your pain. :-P But, maybe it's best to not make that
assumption. I don't know enough about riscv-pk to say for sure.

The better solution may be for spike to look in $PATH when trying to run
a program. I have asked for this upstream:
https://github.com/riscv-software-src/riscv-isa-sim/issues/961

Thank you both for reviewing and merging these patches!